MIX_ResumeTrack(3)

NAME
MIX_ResumeTrack - Resume a currently-paused track.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

bool MIX_ResumeTrack(MIX_Track *track);

DESCRIPTION
A paused track is not considered "stopped," so its MIX_TrackStoppedCallback will not fire if paused, but it won't change state by default, generate audio, or generally make progress, until it is resumed.

It is legal to resume a track that's in any state (playing, paused, or stopped). Unless the track is currently paused, resuming does nothing, and returns true. A false return is only used to signal errors here (such as MIX_Init not being called or track being NULL).

FUNCTION PARAMETERS

track
    the track to resume.

RETURN VALUE
Returns true if the track has resumed, false on error; call SDL_GetError() for details.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_PauseTrack(3)